Index: pgadmin/ctl/ctlSQLBox.cpp
===================================================================
--- pgadmin/ctl/ctlSQLBox.cpp	(revision 7541)
+++ pgadmin/ctl/ctlSQLBox.cpp	(working copy)
@@ -12,6 +12,7 @@
 // wxWindows headers
 #include <wx/wx.h>
 #include <wx/stc/stc.h>
+#include <wx/sysopt.h>
 
 // App headers
 #include "pgAdmin3.h"
@@ -561,10 +562,17 @@
 	wxString wxRet = wxString(tab_ret, wxConvUTF8);
 	free(tab_ret);
 
+	// Switch to the generic list control. Native doesn't play well with
+        // autocomplete on Mac.
+	wxSystemOptions::SetOption(wxT("mac.listctrl.always_use_generic"), true);
+
 	if (spaceidx == -1)
 		AutoCompShow(what.Len(), wxRet);
 	else
 		AutoCompShow(what.Len()-spaceidx-1, wxRet);
+ 
+	// Now switch back
+	wxSystemOptions::SetOption(wxT("mac.listctrl.always_use_generic"), false);
 }
 
 
Index: pgadmin/pgAdmin3.cpp
===================================================================
--- pgadmin/pgAdmin3.cpp	(revision 7541)
+++ pgadmin/pgAdmin3.cpp	(working copy)
@@ -181,11 +181,6 @@
 // The Application!
 bool pgAdmin3::OnInit()
 {
-    // Setup wxWidgets runtime options
-#ifdef __WXMAC__
-    wxSystemOptions::SetOption(wxT("mac.listctrl.always_use_generic"), true);
-#endif
-
     // Force logging off until we're ready
     wxLog *seLog=new wxLogStderr();
     wxLog::SetActiveTarget(seLog);
Index: pgadmin/frm/frmMain.cpp
===================================================================
--- pgadmin/frm/frmMain.cpp	(revision 7541)
+++ pgadmin/frm/frmMain.cpp	(working copy)
@@ -27,6 +27,7 @@
 #include <wx/toolbar.h>
 #include <wx/imaglist.h>
 #include <wx/busyinfo.h>
+#include <wx/sysopt.h>
 
 // wxAUI
 #include <wx/aui/aui.h>
@@ -142,7 +143,15 @@
 
     // Setup the listview
     listViews = new wxNotebook(this, CTL_NOTEBOOK, wxDefaultPosition, wxDefaultSize);
+
+    // Switch to the generic list control. Native doesn't play well with
+    // multi-row select on Mac.
+    wxSystemOptions::SetOption(wxT("mac.listctrl.always_use_generic"), true);
+
     properties = new ctlListView(listViews, CTL_PROPVIEW, wxDefaultPosition, wxDefaultSize, wxSIMPLE_BORDER);
+
+    wxSystemOptions::SetOption(wxT("mac.listctrl.always_use_generic"), false);
+
     statistics = new ctlListView(listViews, CTL_STATVIEW, wxDefaultPosition, wxDefaultSize, wxSIMPLE_BORDER | wxLC_SINGLE_SEL);
     dependencies = new ctlListView(listViews, CTL_DEPVIEW, wxDefaultPosition, wxDefaultSize, wxSIMPLE_BORDER | wxLC_SINGLE_SEL);
     dependents = new ctlListView(listViews, CTL_REFVIEW, wxDefaultPosition, wxDefaultSize, wxSIMPLE_BORDER | wxLC_SINGLE_SEL);
